Skip to main content
POST
/
api
/
reason_codes
Create a reason code
curl --request POST \
  --url https://clarus-api.com/api/reason_codes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "reason_codes",
    "attributes": {
      "code": "ADJ-NEG-01",
      "name": "Damaged in transit",
      "description": "Negative stock adjustment for damaged goods",
      "reason_type": "negative_adjustment",
      "active": true,
      "generic": false
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "reason_codes",
    "attributes": {
      "code": "ADJ-NEG-01",
      "name": "Damaged in transit",
      "description": "Negative stock adjustment for damaged goods",
      "reason_type": "negative_adjustment",
      "active": true,
      "generic": false
    }
  }
}

Request Structure

{
  "data": {
    "type": "reason_codes",
    "attributes": {
      "code": "ADJ-NEG-01",
      "name": "Damaged in transit",
      "description": "Negative stock adjustment",
      "reason_type": "negative_adjustment"
    }
  }
}
FieldRequiredDescription
codeYesUnique code (max 30)
nameYesName (max 50)
descriptionYesDescription (max 150)
reason_typeYesOne of negative_adjustment, positive_adjustment, hold, release, short_order_lines, transfer, stock_check

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Created successfully

The response is of type object.